# - Build details for DOLFIN: Dynamic Object-oriented Library for
# - FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

# Library dependencies (contains definitions for IMPORTED targets)
# NOTE: DOLFIN demo CMakeLists.txt are written to be stand-alone, as
# well as the build system building the demo. Therefore, we need the
# below guard to avoid exporting the targets twice.
if (NOT TARGET dolfin)
  include("/usr/lib64/petsc-complex/share/dolfin/cmake/DOLFINTargets.cmake")
endif()

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"1.6.0dev\";-DBOOST_UBLAS_NDEBUG;-DNDEBUG;-DDOLFIN_SIZE_T=8;-DDOLFIN_LA_INDEX_SIZE=;-DHAS_TRILINOS;-DHAS_PETSC;-DHAS_MTL4;-DENABLE_PETSC_SNES;-DENABLE_PETSC_TAO;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_SCOTCH;-DHAS_PARMETIS;-DHAS_ZLIB;-DHAS_MPI;-DHAS_QT4;-DHAS_VTK")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-fno-strict-aliasing -I/usr/lib64/openmpi/include -I/usr/lib64/openmpi/include/metis -I/usr/lib64/petsc-complex/include -I/usr/lib64/petsc-complex/include/sieve -I/usr/lib64/spooles/include -pipe -Wall -O2 -fPIC -DPIC -DPETSC_HAVE_SPOOLES -UHAS_OPENMP -UHAS_SLEPC -g -fpermissive -DHAS_GMP -I/usr/include/hypre -std=c++11  -fno-strict-aliasing -I/usr/lib64/openmpi/include -I/usr/lib64/openmpi/include/metis -I/usr/lib64/petsc-complex/include -I/usr/lib64/petsc-complex/include/sieve -I/usr/lib64/spooles/include -pipe -Wall -O2 -fPIC -DPIC -DPETSC_HAVE_SPOOLES -UHAS_OPENMP -UHAS_SLEPC -g -fpermissive -DHAS_GMP -I/usr/include/hypre ")

# Linker flags
set(DOLFIN_LINK_FLAGS " -L/usr/lib64/openmpi/lib -Wl,-rpath,/usr/lib64/openmpi/lib -L/usr/lib64/petsc-complex/lib -Wl,-rpath,/usr/lib64/petsc-complex/lib  ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/lib64/petsc-complex/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/local/include;/usr/include/suitesparse;/usr/include/suitesparse;/usr/include;/usr/include;/usr/lib64/openmpi/include;/usr/include/eigen3;/usr/include;/usr/include;/usr/include/superlu_dist;/usr/include/suitesparse;/usr/lib64/openmpi/include/metis;/usr/include/triangle;/usr/include/fftw3-mpi;/usr/lib64/openmpi/include;/usr/lib64/petsc-complex/include;/usr/include;/usr/lib64/openmpi/include;/usr/include/qt4;/usr/include/vtk-6.2;/usr/include;/usr/include/libxml2;/usr/include/freetype2;/usr/include/2.7;/usr/include/python2.7")

# Python include directories
set(DOLFIN_PYTHON_INCLUDE_DIRS "/usr/lib64/python2.7/site-packages/numpy/core/include;/usr/include/python2.7;/usr/lib64/petsc-complex/python/petsc4py/include")

# Python definitions
set(DOLFIN_PYTHON_DEFINITIONS "-DHAS_PETSC4PY;-DNUMPY_VERSION_MAJOR=1;-DNUMPY_VERSION_MINOR=10;-DNUMPY_VERSION_MICRO=0;-DNPY_NO_DEPRECATED_API=NPY_1_10_API_VERSION")

# Python libraries
set(DOLFIN_PYTHON_LIBRARIES "/usr/lib64/libpython2.7.so")

set(DOLFIN_SWIG_EXECUTABLE "/usr/bin/swig")

# DOLFIN library
set(DOLFIN_LIBRARIES dolfin)

# Version
set(DOLFIN_VERSION_MAJOR "1")
set(DOLFIN_VERSION_MINOR "6")
set(DOLFIN_VERSION_MICRO "0")
set(DOLFIN_VERSION_STR   "1.6.0dev")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "/usr/lib64/petsc-complex/share/dolfin/cmake/UseDOLFIN.cmake")
